Bug Hunting Session
Bug 51336 - checkboxes with text align positions are skewed
Summary: checkboxes with text align positions are skewed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:3.7.0 target:3.6.1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-22 09:11 UTC by Noel Power
Modified: 2012-11-08 15:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
shows checkboxes in excel and in calc (122.14 KB, application/pdf)
2012-06-22 09:11 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2012-06-22 09:11:31 UTC
Created attachment 63351 [details]
shows checkboxes in excel and in calc

when checkboxes have no label the the align left, right or center is applied to the checkbox 'box' If the checkbox has a label then the alignment is set to the text and the 'box' is left aligned to the bounding rectangle of the control.

this behaviour when the checkbox has no label makes no sense to me, I would prefer to see the behaviour as it is when the label is present ( regardless of whether there is actually a label )

This 'behaviour' makes importing checkboxes from mso difficult ( see attachment )
Comment 1 Noel Power 2012-06-22 09:14:54 UTC
and indeed if you look at the attached pdf you will see that there is a mistake, there are 2 of the checkboxes with center alignment e.g. there is a missing left aligned one. I don't think I need to bother to redo the example I think it is clear that with left align the checkbox would appear to be in the correct position in calc. I don't think that this is an import issue, I think this is an issue with checkboxes in vcl. However I suppose if necessary we could provide some flag or something to change existing behaviour on demand and not always,
Comment 2 bfoman (inactive) 2012-07-05 04:21:30 UTC
Could you attach any example documents to allow others to check on different
system/build?
Comment 3 Not Assigned 2012-07-06 05:29:11 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1345cd93a57ec7d9352f2c71ec2664332ce5e76

fdo#51336 - change vcl checkbox no-label behaviour
Comment 4 Not Assigned 2012-07-06 06:44:12 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2bc2d09bba2e3f34e8ce13571de9ff7007e1c2b6

additional fix for fdo#51336 for radiobuttons
Comment 5 Not Assigned 2012-08-01 16:07:24 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59d9a39abc6d4915fce55e55008107a7081b38d9

Revert "fdo#51336 - change vcl checkbox no-label behaviour"
Comment 6 Not Assigned 2012-08-01 16:07:41 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d616ea80b27e65d83710f811a6f32637f3c7284a

Revert "additional fix for fdo#51336 for radiobuttons"
Comment 7 Not Assigned 2012-08-01 16:07:59 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff54a3c291b8aa104992a0285207166cf25ddd86

simpler fix fo fdo#51336 - change vcl checkbox no-label behaviour
Comment 8 Not Assigned 2012-08-08 08:12:57 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99cad9fd7f413adecffc527d334eff616799cc4b&g=libreoffice-3-6

fdo#51336 - change vcl checkbox no-label behaviour


It will be available in LibreOffice 3.6.1.
Comment 9 Not Assigned 2012-08-08 08:13:15 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aea425a8cd851e6bee02247673c8996b58789484&g=libreoffice-3-6

additional fix for fdo#51336 for radiobuttons


It will be available in LibreOffice 3.6.1.
Comment 10 bfoman (inactive) 2012-10-11 20:54:10 UTC
Please update status if this issue is fixed. Thanks.